Bug 1495504 - Koji is unable to build 2.1.0-9.fc28 for x86_64
Summary: Koji is unable to build 2.1.0-9.fc28 for x86_64
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: koji
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike McLean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 08:25 UTC by Andy Li
Modified: 2019-05-28 19:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:37:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Andy Li 2017-09-26 08:25:37 UTC
Koji is unable to build 2.1.0-9.fc28 for x86_64:
https://koji.fedoraproject.org/koji/taskinfo?taskID=22081048

I was able to reproduce that locally on Sep 6 2017 in a Fedora f27 VM (using `fedpkg local`). Today (Sep 26 2017), I did a `dnf update` and after that I was not able to reproduce the issue. So I suspect the unknown cause has been fixed but the Koji build environment haven't been updated yet.

Comment 1 Andy Li 2017-11-15 08:07:22 UTC
Looks like the build host is somewhat different from the build target. Anyway, this commit somehow fixed the build: https://src.fedoraproject.org/rpms/nekovm/c/f7c78c31d3beafa8b1c12d32838579ec1df4310a?branch=master

Comment 2 Fedora End Of Life 2018-02-20 15:32:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Ben Cotton 2019-05-02 22:03:58 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 19:37:20 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.